# General Project Ideas

# Possible projects:  

- Add to the capability of the existing labs. For example,   
- Add a real time clock (RTC) to any lab and local storage (microSD)   
- Use a more accurate sensor (BME680)   
- Add an OLED or LCD display   
- Use a sensor or display with a Qwiic interface 

## Use an ESP32
Move an existing lab to a new micro board. For example create a temperature and humidity sensor that updates the dashboard using a different MCU. 
The ESP32 is a popular alternative to the Pico W. The ESP32 is the successor to the ESP8266 so any ESP32 or ESP8266 project documents can be adapted to the ESP32.

There are a number of interesting variants to the base ESP32 platform. For example,

I may have limited quantities of some of these on hand, but they are available on Amazon. 

ESP32 Development Board Integrated 0.96 Inch OLED Display
https://www.amazon.com/ideaspark-Development-Integrated-Wireless-Micropython/dp/B0CN4F354N/ref=sr_1_8

Waveshare ESP32-C6 1.47inch Display Development Board
https://www.amazon.com/Waveshare-Development-Frequency-Single-Core-Processor/dp/B0DHTMYTCY/ref=sr_1_3

2.8'' ESP32 Display Resistive Touch Screen with WiFi+BT
https://www.amazon.com/Hosyond-Display-Resistive-ILI9341-240x320/dp/B0D92C9MMH/ref=sr_1_4

ideaspark® ESP32 Development Board Integrated 1.14 inch ST7789 135x240 TFT LCD Display,WiFi+BL
https://www.amazon.com/ESP32-1-14-inch-LCD-Solder/dp/B0D7S7YQMC/ref=sr_1_10

HiLetgo 0.96" ESP32 OLED ESP32 ESP-32 OLED WiFi Bluetooth Development OLED Display
https://www.amazon.com/HiLetgo-ESP-WROOM-32-Bluetooth-Development-Display/dp/B072HBW53G/ref=sr_1_20


## Other ideas  

### Contest theme: Smart Pet Gadgets with Arduino   
https://www.printables.com/contest/468-smart-pet-gadgets-with-arduino

### Ultrasonic "Radar"
I saw this on an ad in one of my feeds.   

https://www.casetifys.com/products/arduino-ultrasonic-radar-scanning-student-technology-production-diy-creative-toys-handmade-children-programming-science-and-technology

It is a bit more ambitious than a simple project, but can you mount the ultrasonic scanner on something to use a servo motor to scan a limited area?  
The graphing of the display will not be necessary.  

### Article on IOT Projects
https://www.simplilearn.com/internet-of-things-iot-projects-article
